scoreboard players enable @a chaos.info

execute as @a if score @s chaos.info matches 0 run function mcchaos:info
execute as @a if score @s chaos.info matches 2 run function mcchaos:info



scoreboard players enable @a chaos.settings

execute as @a if score @s chaos.settings matches 1 run function mcchaos:settings

execute as @a if score @s chaos.setting matches 1 run function mcchaos:setting_1
execute as @a if score @s chaos.setting matches 2 run function mcchaos:setting_2
execute as @a if score @s chaos.setting matches 3 run function mcchaos:setting_3
execute as @a if score @s chaos.setting matches 4 run function mcchaos:setting_4



scoreboard players enable @a chaos.start

execute as @a if score @s chaos.start matches 1 run function mcchaos:start



scoreboard players enable @a chaos.stop

execute as @a if score @s chaos.stop matches 1 run function mcchaos:stop



execute as @a[gamemode=spectator] unless score @s chaos.vote > dummy.num chaos.dummy.num run scoreboard players enable @s chaos.vote

execute as @a[scores={chaos.vote=1}] if score @s chaos.vote matches 1 run function mcchaos:vote_option_1
execute as @a[scores={chaos.vote=2}] if score @s chaos.vote matches 2 run function mcchaos:vote_option_2
execute as @a[scores={chaos.vote=3}] if score @s chaos.vote matches 3 run function mcchaos:vote_option_3



scoreboard players enable @a chaos.runner
scoreboard players enable @a chaos.spectator



execute as @a if score @s chaos.runner matches 1 run function mcchaos:become_runner
execute as @a if score @s chaos.spectator matches 1 run function mcchaos:become_spectator


##############
#EFFECTS LOOP#
##############



#INVERTED GRAVITY
execute if score InvertedGravity current_effects >= dummy.num chaos.dummy.num run effect give @e[type=!item,type=!#minecraft:impact_projectiles] minecraft:levitation 1 2 true

#FASTER DAYLIGHT CYCLE
execute if score FasterDaylightCycle current_effects >= dummy.num chaos.dummy.num run time add 0.25s

#TIMELAPSE
execute if score Timelapse current_effects >= dummy.num chaos.dummy.num run time add 2s

#GHOST RIDER
execute if score GhostRider current_effects >= dummy.num chaos.dummy.num run effect give @a minecraft:fire_resistance 1 0 true

execute if score GhostRider current_effects >= dummy.num chaos.dummy.num run execute as @a[gamemode=!spectator] at @s if block ^ ^ ^-1 air run setblock ^ ^ ^-1 fire

#CHARGED CREEPERS
execute if score ChargedCreepers current_effects >= dummy.num chaos.dummy.num run execute as @e[type=creeper,nbt=!{powered:1b}] run data merge entity @s {powered:1b}

#MINING FATIGUE
execute if score MiningFatigue current_effects >= dummy.num chaos.dummy.num run effect give @a minecraft:mining_fatigue 2 0

#SLOWNESS
execute if score Slowness current_effects >= dummy.num chaos.dummy.num run effect give @a[gamemode=!spectator] minecraft:slowness 2 0

#ONE HIT KNOCKOUT
execute if score OneHitKnockout current_effects >= dummy.num chaos.dummy.num run execute as @e[type=#chaos_mobs,nbt=!{Health:0.001}] run data merge entity @s {Health:0.001}

execute if score OneHitKnockout current_effects >= dummy.num chaos.dummy.num run execute as @a[gamemode=!spectator] run attribute @s minecraft:generic.max_health base set 0.1

execute if score OneHitKnockout current_effects >= dummy.num chaos.dummy.num run effect give @a minecraft:instant_health 2 0 true

#DISABLE JUMP

execute if score DisableJump current_effects >= dummy.num chaos.dummy.num run effect clear @a[nbt={OnGround:0b}] minecraft:jump_boost

#SUPER JUMP
execute if score SuperJump current_effects >= dummy.num chaos.dummy.num run effect give @a minecraft:jump_boost 2 9 true

#WATER BREATHING
execute if score WaterBreathing current_effects >= dummy.num chaos.dummy.num run effect give @a minecraft:water_breathing 2 0 true

#DISABLE MELEE DAMAGE
execute if score DisableMeleeDamage current_effects >= dummy.num chaos.dummy.num run effect give @e minecraft:weakness 2 99 true

#I AM SPEED
execute if score IamSpeed current_effects >= dummy.num chaos.dummy.num run effect give @a[gamemode=!spectator] minecraft:speed 2 9 true

#WHERE ARE THEM?
execute if score WhereAreThem? current_effects >= dummy.num chaos.dummy.num run effect give @e[type=#chaos_mobs] minecraft:invisibility 2 0 false

#HOT WATER
execute if score HotWater current_effects >= dummy.num chaos.dummy.num run execute as @a[gamemode=!spectator] at @s run fill ~ ~ ~ ~ ~ ~ lava replace water

#POISONOUS WATER
execute if score PoisonousWater current_effects >= dummy.num chaos.dummy.num run execute as @a at @s if block ~ ~ ~ water run effect give @s minecraft:poison 5 0

#LET'S TAKE A BREAK
execute if score Let'sTakeaBreak current_effects >= dummy.num chaos.dummy.num run effect give @e minecraft:jump_boost 1 250 true

execute if score Let'sTakeaBreak current_effects >= dummy.num chaos.dummy.num run effect give @e minecraft:slowness 1 49 true

execute if score Let'sTakeaBreak current_effects >= dummy.num chaos.dummy.num run effect give @e minecraft:blindness 2 0 true

#LIGHTSPEED MOBS
execute if score LightspeedMobs current_effects >= dummy.num chaos.dummy.num run effect give @e[type=!player] minecraft:speed 1 29 true

#FULL GOLD ZOMBIES
execute if score FullGoldZombies current_effects >= dummy.num chaos.dummy.num run execute as @e[type=#chaos_zombies,nbt=!{HandItems:[{id:"minecraft:golden_sword",Count:1b},{id:"minecraft:gold_ingot",Count:1b}]}] run data merge entity @s {HandItems:[{id:"minecraft:golden_sword",Count:1b},{id:"minecraft:gold_ingot",Count:1b}],HandDropChances:[0.085F,0.200F],ArmorItems:[{id:"minecraft:golden_boots",Count:1b},{id:"minecraft:golden_leggings",Count:1b},{id:"minecraft:golden_chestplate",Count:1b},{id:"minecraft:golden_helmet",Count:1b}]}

#FULL IRON ZOMBIES
execute if score FullIronZombies current_effects >= dummy.num chaos.dummy.num run execute as @e[type=#chaos_zombies,nbt=!{HandItems:[{id:"minecraft:iron_sword",Count:1b},{id:"minecraft:iron_ingot",Count:1b}]}] run data merge entity @s {HandItems:[{id:"minecraft:iron_sword",Count:1b},{id:"minecraft:iron_ingot",Count:1b}],HandDropChances:[0.085F,0.200F],ArmorItems:[{id:"minecraft:iron_boots",Count:1b},{id:"minecraft:iron_leggings",Count:1b},{id:"minecraft:iron_chestplate",Count:1b},{id:"minecraft:iron_helmet",Count:1b}]}

#FULL DIAMOND ZOMBIES
execute if score FullDiamondZombies current_effects >= dummy.num chaos.dummy.num run execute as @e[type=#chaos_zombies,nbt=!{HandItems:[{id:"minecraft:diamond_sword",Count:1b},{id:"minecraft:diamond",Count:1b}]}] run data merge entity @s {HandItems:[{id:"minecraft:diamond_sword",Count:1b},{id:"minecraft:diamond",Count:1b}],HandDropChances:[0.085F,0.080F],ArmorItems:[{id:"minecraft:diamond_boots",Count:1b},{id:"minecraft:diamond_leggings",Count:1b},{id:"minecraft:diamond_chestplate",Count:1b},{id:"minecraft:diamond_helmet",Count:1b}]}

#GLOWING ENDERMEN
execute if score GlowingEndermen current_effects >= dummy.num chaos.dummy.num run effect give @e[type=enderman] minecraft:glowing 1 0 false

execute if score GlowingEndermen current_effects >= dummy.num chaos.dummy.num run effect give @e[type=enderman] minecraft:invisibility 1 0 false

execute if score GlowingEndermen current_effects >= dummy.num chaos.dummy.num run team join chaos_purple @e[type=enderman]

#MOBS EXPLODE WHEN HIT
execute if score MobsExplodeWhenHit current_effects >= dummy.num chaos.dummy.num run execute as @e[type=#chaos_mobs] store result score @s chaos.hurt run data get entity @s HurtTime

execute if score MobsExplodeWhenHit current_effects >= dummy.num chaos.dummy.num run execute as @e[scores={chaos.hurt=1..}] at @s run summon tnt ~ ~ ~ {fuse:0}

#INSANE SPRINT
execute if score InsaneSprint current_effects >= dummy.num chaos.dummy.num run execute as @a[scores={chaos.sprint=1..},gamemode=!spectator] run attribute @s minecraft:generic.movement_speed base set 1.42069

execute if score InsaneSprint current_effects >= dummy.num chaos.dummy.num run scoreboard players set @a[scores={chaos.sprint=32..},gamemode=!spectator] chaos.sprint 0

execute as @a[scores={chaos.sprint=0},gamemode=!spectator] run attribute @s minecraft:generic.movement_speed base set 0.10000000149011612

#NIGHT VISION
execute if score NightVision current_effects >= dummy.num chaos.dummy.num run effect give @a minecraft:night_vision 20 0 false

#THUNDERSTORM
execute if score Thunderstorm current_effects >= dummy.num chaos.dummy.num run weather thunder 1

#RAINY WEATHER
execute if score RainyWeather current_effects >= dummy.num chaos.dummy.num run weather rain 1

#WEAPON ROULLETE
execute if score WeaponRoulette current_effects >= dummy.num chaos.dummy.num run effect give @a[nbt=!{SelectedItem:{tag:{roulette:1b}}},gamemode=!spectator] minecraft:weakness 3 43 false

execute if score WeaponRoulette current_effects >= dummy.num chaos.dummy.num unless score DisableMeleeDamage current_effects >= dummy.num chaos.dummy.num run effect clear @a[nbt={SelectedItem:{tag:{roulette:1b}}}] minecraft:weakness

#this was previously a thing but idk if I should keep it: execute unless score WeaponRoulette current_effects >= dummy.num chaos.dummy.num run clear @a #minecraft:weapons{roulette:1b}

#TURTLE SIMULATOR
execute if score TurtleSimulator current_effects >= dummy.num chaos.dummy.num run effect give @a[gamemode=!spectator] minecraft:slowness 1 3 true

execute if score TurtleSimulator current_effects >= dummy.num chaos.dummy.num run effect give @a minecraft:resistance 1 3 true

#BAD LUCK
execute if score BadLuck current_effects >= dummy.num chaos.dummy.num run effect give @a minecraft:unluck 20 2 false

#ALL ZOMBIES ARE BABIES
execute if score AllZombiesAreBabies current_effects >= dummy.num chaos.dummy.num run execute as @e[type=#zombies,nbt=!{IsBaby:1b}] run data merge entity @s {IsBaby:1b}

#JUAN
execute as @a[gamemode=!spectator] at @s if entity @e[tag=juan,distance=0.849..0.85] run effect give @s minecraft:resistance 1 1 false

#STRONG MOBS
execute if score StrongMobs current_effects >= dummy.num chaos.dummy.num run effect give @e[type=!player] minecraft:strength 1 0 false

#BLINDNESS
execute if score Blindness current_effects >= dummy.num chaos.dummy.num run effect give @a[gamemode=!spectator] minecraft:blindness 3 0 true

#WITHER MOBS
execute if score WitherMobs current_effects >= dummy.num chaos.dummy.num run execute as @a at @s if entity @e[type=#chaos_mobs,distance=0..1.25] run effect give @s wither 8 0 false

#PUNCH SKELETONS
execute if score PunchSkeletons current_effects >= dummy.num chaos.dummy.num run enchant @e[type=minecraft:skeleton] minecraft:punch 2

#KNOCKBACK RESISTANCE MOBS
execute if score KnockbackResistanceMobs current_effects >= dummy.num chaos.dummy.num run execute as @e[type=#chaos_mobs] run data merge entity @s {Attributes:[{Name:generic.knockback_resistance,Base:69}]}

#INFINITE HEALTH (PLAYER)
execute if score InfiniteHealth(player) current_effects >= dummy.num chaos.dummy.num run effect give @a resistance 1 4 true

#INFINITE HEALTH (MOBS)
execute if score InfiniteHealth(mobs) current_effects >= dummy.num chaos.dummy.num run effect give @e[type=!player] resistance 1 4 true

#SOUL WALKER
execute if score SoulWalker current_effects >= dummy.num chaos.dummy.num run execute as @a[nbt={OnGround:1b},gamemode=!spectator] at @s run setblock ~ ~-1 ~ soul_sand

#LIGHT WALKER
execute if score LightWalker current_effects >= dummy.num chaos.dummy.num run execute as @a[nbt={OnGround:1b},gamemode=!spectator] at @s unless block ~ ~-1 ~ air run setblock ~ ~-1 ~ sea_lantern

#THE FLOOR IS LAVA
execute if score TheFloorIsLava current_effects >= dummy.num chaos.dummy.num run execute as @a[nbt={OnGround:1b},gamemode=!spectator] at @s unless block ~ ~-1 ~ air run fill ~1 ~-1 ~1 ~-1 ~-1 ~-1 minecraft:magma_block

#VEGETARIAN
execute if score Vegetarian current_effects >= dummy.num chaos.dummy.num run clear @a #minecraft:meats

#SILENT MOBS
execute if score SilentMobs current_effects >= dummy.num chaos.dummy.num run execute as @e[type=#chaos_mobs] run data merge entity @s {Silent:1b}

#OCEAN MAN
execute if score OceanMan current_effects >= dummy.num chaos.dummy.num run effect give @a minecraft:jump_boost 1 250 true

execute if score OceanMan current_effects >= dummy.num chaos.dummy.num run execute as @a[nbt={OnGround:1b},gamemode=!spectator] at @s run fill ~1 ~ ~1 ~1 ~ ~1 water[level=3] keep

#RAIN OF CREEPERS
execute if score RainOfCreepers current_effects >= dummy.num chaos.dummy.num run execute as @e[type=minecraft:creeper] run data merge entity @s {ActiveEffects:[{Id:28b,Amplifier:0b,Duration:2,ShowParticles:0b}]}




#####################################
#REMOVED EFFECTS FOR VARIOUS REASONS#
#####################################

#DOUBLE GRAVITY
execute if score DoubleGravity current_effects >= dummy.num chaos.dummy.num run effect give @e[type=!item,type=!#minecraft:impact_projectiles] minecraft:levitation 1 128 true

#QUADRUPLE GRAVITY
execute if score QuadrupleGravity current_effects >= dummy.num chaos.dummy.num run effect give @e[type=!minecraft:item,type=!#minecraft:impact_projectiles] minecraft:levitation 1 180 true

#HALF GRAVITY
execute if score HalfGravity current_effects >= dummy.num chaos.dummy.num run effect give @e[type=!item,type=!#minecraft:impact_projectiles] minecraft:levitation 1 252 true

#QUARTER GRAVITY
execute if score QuarterGravity current_effects >= dummy.num chaos.dummy.num run effect give @e[type=!item,type=!#minecraft:impact_projectiles] minecraft:levitation 1 254 true