############################################################
###   MODES
###
###   0 = no mode selected
###   1 = 60 seconds effect cooldown
###   2 = 30 seconds effect cooldown
###   3 = 60 seconds effect cooldown with spectator voting
###   4 = 90 seconds effect cooldown with spectator voting
############################################################


execute as @e[tag=effect_selector,scores={chaos.mode=1..4}] if score @s chaos.started matches 1 run tellraw @a[scores={chaos.start=1}] [{"text":"[","color":"dark_blue","bold":true},{"text":"MC Chaos","color":"blue","bold":true},{"text":"] ","color":"dark_blue","bold":true},{"text":"The chaos already started!","color":"red","bold":false}]



execute as @e[tag=effect_selector] if score @s chaos.mode matches 0 run scoreboard players set @a[scores={chaos.start=1}] chaos.settings 1
execute as @e[tag=effect_selector] if score @s chaos.mode matches 0 run tellraw @a[scores={chaos.start=1}] [{"text":"\n[","color":"dark_blue","bold":true},{"text":"MC Chaos","color":"blue","bold":true},{"text":"] ","color":"dark_blue","bold":true},{"text":"Select a mode before starting!\n","color":"red","bold":false}]

execute as @e[tag=effect_selector] if score @s chaos.mode matches 1 unless score @s chaos.started matches 1 run function mcchaos:start_60

execute as @e[tag=effect_selector] if score @s chaos.mode matches 2 unless score @s chaos.started matches 1 run function mcchaos:start_30

execute as @e[tag=effect_selector] if score @s chaos.mode matches 3 unless score @s chaos.started matches 1 run function mcchaos:start_60_spectator_voting

execute as @e[tag=effect_selector] if score @s chaos.mode matches 4 unless score @s chaos.started matches 1 run function mcchaos:start_90_spectator_voting







scoreboard players set @a chaos.start 0